// =====================================================================
//  $Id: TObjectStream.cc,v 1.1.1.1 2003/06/27 02:56:41 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#include "TObjectStream.hh"
#include "TObjectFilter.hh"

TObjectStream::TObjectStream( Tstream_t streamtype )
  : theObjectFilter( 0 ), theStreamType( streamtype ), 
    theDataSize( 0 ), theLastDataSize( 0 ), theTotalDataSize( 0 )
{;}

TObjectStream::TObjectStream( TObjectFilter* filter, Tstream_t streamtype )
  : theObjectFilter( filter ), theStreamType( streamtype ),
    theDataSize( 0 ), theLastDataSize( 0 ), theTotalDataSize( 0 )
{;}

TObjectStream::~TObjectStream()
{;}
